<?php
/**
 * This file is part of OXID eSales Flow Theme.
 *
 * OXID eSales Flow Theme is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OXID eSales Flow Theme is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OXID eSales Flow Theme.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @link      http://www.oxid-esales.com
 * @copyright (C) OXID eSales AG 2003-2016
 */

$sLangName = "English";

$aLang = array(
    'charset'                                               => 'UTF-8',

    // Global
    'DD_SORT_DESC'                                          => 'descending',
    'DD_SORT_ASC'                                           => 'ascending',
    'DD_CLOSE_MODAL'                                        => 'close',
    'DD_DEMO_ADMIN_TOOL'                                    => 'Open admin interface',

    // Form validation
    'DD_FORM_VALIDATION_VALIDEMAIL'                         => 'Please enter a valid email address.',
    'DD_FORM_VALIDATION_PASSWORDAGAIN'                      => 'Passwords do not match.',
    'DD_FORM_VALIDATION_NUMBER'                             => 'Please enter a number.',
    'DD_FORM_VALIDATION_INTEGER'                            => 'There are no decimal places allowed.',
    'DD_FORM_VALIDATION_POSITIVENUMBER'                     => 'Please enter a positive number.',
    'DD_FORM_VALIDATION_NEGATIVENUMBER'                     => 'Please enter a negative number.',
    'DD_FORM_VALIDATION_REQUIRED'                           => 'Please specify a value for this required field.',
    'DD_FORM_VALIDATION_CHECKONE'                           => 'Please select at least one option.',

    // Header
    'SEARCH_TITLE'                                          => 'Enter a search term...',
    'SEARCH_SUBMIT'                                         => 'Search',

    // Sidebar
    'DD_SIDEBAR_CATEGORYTREE'                               => 'Categories',
    'DD_SIDEBAR_TAGCLOUD'                                   => 'Tags',

    // Footer
    'FOOTER_NEWSLETTER_INFO'                                => 'Get informed about the latest products and offers per email.',

    // Home page
    'MANUFACTURERSLIDER_SUBHEAD'                            => 'We present our carefully selected brands, whose products can be found in our shop.',
    'START_BARGAIN_HEADER'                                  => 'Week\'s Special',
    'START_NEWEST_HEADER'                                   => 'Just arrived',
    'START_TOP_PRODUCTS_HEADER'                             => 'Top seller',
    'START_BARGAIN_SUBHEADER'                               => 'Save money with our current bargains!',
    'START_NEWEST_SUBHEADER'                                => 'Fresh as it gets. One minute in the box and now already in store.',
    'START_TOP_PRODUCTS_SUBHEADER'                          => 'Only 2 products, but the best we can offer you.',

    // Contact form
    'DD_CONTACT_PAGE_HEADING'                               => 'Contact us!',
    'DD_CONTACT_FORM_HEADING'                               => 'Contact',
    'DD_CONTACT_ADDRESS_HEADING'                            => 'Address',
    'DD_CONTACT_THANKYOU1'                                  => "Thank you.",
    'DD_CONTACT_THANKYOU2'                                  => " appreciates your comments.",

    // Link list
    'DD_LINKS_NO_ENTRIES'                                   => 'Unfortunately, there are no links available.',

    // Guestbook
    'DD_GUESTBOOK_ENTRIES'                                  => 'Entries',
    'DD_GUESTBOOK_ENTRY_FROM'                               => 'by',
    'DD_GUESTBOOK_ENTRY_ON'                                 => 'on',

    // 404 page
    'DD_ERR_404_START_TEXT'                                 => 'You may find the information you want from our home page:',
    'DD_ERR_404_START_BUTTON'                               => 'Go to home page',
    'DD_ERR_404_CONTACT_TEXT'                               => 'May we assist you?<br>Feel free to call us or write an email:',
    'DD_ERR_404_CONTACT_BUTTON'                             => 'to the contact page',

    // Login
    'DD_LOGIN_ACCOUNT_PANEL_CREATE_TITLE'                   => 'Open account',
    'DD_LOGIN_ACCOUNT_PANEL_CREATE_BODY'                    => 'By creating an account with our store, you will be guided through the checkout process faster. In addition, you can store multiple shipping addresses and track orders in your account.',
    'DD_LOGIN_ACCOUNT_PANEL_LOGIN_TITLE'                    => 'Login',

    // Billing address
    'DD_USER_BILLING_LABEL_STATE'                           => 'State:',
    'DD_USER_SHIPPING_LABEL_STATE'                          => 'State:',
    'DD_USER_SHIPPING_SELECT_ADDRESS'                       => 'select',
    'DD_USER_SHIPPING_ADD_DELIVERY_ADDRESS'                 => 'add delivery address',

    // Order history
    'DD_ORDER_ORDERDATE'                                    => 'Date:',

    // List views
    'DD_LISTLOCATOR_FILTER_ATTRIBUTES'                      => 'Filter:',
    'DD_LIST_SHOW_MORE'                                     => 'View products...',

    // Recommendation list
    'DD_RECOMMENDATION_EDIT_BACK_TO_LIST'                   => 'back to overview',

    // Downloads
    'DD_DOWNLOADS_DOWNLOAD_TOOLTIP'                         => 'downloaded',
    'DD_FILE_ATTRIBUTES_FILESIZE'                           => 'File size:',
    'DD_FILE_ATTRIBUTES_OCLOCK'                             => 'o\'clock',
    'DD_FILE_ATTRIBUTES_FILENAME'                           => 'File name:',

    // Details page
    'BACK_TO_OVERVIEW'                                      => 'to overview',
    'OF'                                                    => 'of',
    'DD_PRODUCTMAIN_STOCKSTATUS'                            => 'Stock',
    'DD_RATING_CUSTOMERRATINGS'                             => 'Customer reviews',
    'PAGE_DETAILS_CUSTOMERS_ALSO_BOUGHT_SUBHEADER'          => 'Customers who bought this item also bought one of the following products.',
    'WIDGET_PRODUCT_RELATED_PRODUCTS_ACCESSORIES_SUBHEADER' => 'The following products fit well to this product.',
    'WIDGET_PRODUCT_RELATED_PRODUCTS_SIMILAR_SUBHEADER'     => 'Take a look at our similar products.',
    'WIDGET_PRODUCT_RELATED_PRODUCTS_CROSSSELING_SUBHEADER' => 'Customers who viewed this product also viewed the following products.',
    'DETAILS_VPE_MESSAGE_1'                                 => "This product can only be ordered in packaging units of ",
    'DETAILS_VPE_MESSAGE_2'                                 => "",

    // Modal basket
    'DD_MINIBASKET_MODAL_TABLE_TITLE'                       => 'Article',
    'DD_MINIBASKET_MODAL_TABLE_PRICE'                       => 'Total',
    'DD_MINIBASKET_CONTINUE_SHOPPING'                       => 'continue shopping',

    // Checkout
    'DD_BASKET_BACK_TO_SHOP'                                => 'back to shop',

    // E-Mails
    'DD_ORDER_CUST_HEADING'                                 => 'Order',
    'DD_FOOTER_FOLLOW_US'                                   => 'Follow us:',
    'DD_FOOTER_CONTACT_INFO'                                => 'Contact:',
    'DD_FORGOT_PASSWORD_HEADING'                            => 'Forgot password',
    'DD_INVITE_HEADING'                                     => 'Article recommendation',
    'DD_INVITE_LINK'                                        => 'Link',
    'DD_NEWSLETTER_OPTIN_HEADING'                           => 'Your newsletter subscription',
    'DD_ORDERSHIPPED_HEADING'                               => 'Delivery confirmation - Order',
    'DD_OWNER_REMINDER_HEADING'                             => 'Low stock',
    'DD_PRICEALARM_HEADING'                                 => 'Pricealarm',
    'DD_REGISTER_HEADING'                                   => 'Your registration',
    'DD_DOWNLOADLINKS_HEADING'                              => 'Your download links - Order',
    'DD_SUGGEST_HEADING'                                    => 'Article recommendation',
    'DD_WISHLIST_HEADING'                                   => 'Wishlist',

    'DD_ROLES_BEMAIN_UIROOTHEADER'                          => 'Menu',
);

/*
[{ oxmultilang ident="GENERAL_YOUWANTTODELETE"}]
*/
